Skip to main content
Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces/Standalone Image Storage Related Interfaces
PUTStandalone Image Storage Related InterfacesSince 1.6SynchronousAuth Required

Update Standalone Image Storage

Update Standalone Image Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the image storage

Body Fields

  • updateimagestorebackupstorageObjectRequired

    updateimagestorebackupstorage request body object.

    • usernameString

      SSH username (for Ansible deployment)

    • passwordString

      SSH user password

    • hostnameString

      Image storage hostname

    • sshPortInteger

      SSH port number

    • nameString

      New name of the image storage

    • descriptionString

      Updated description of the image storage

    • systemTagsList

      System tags

    • userTagsList

      User tags

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number, globally unique identifier, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. This field is null if there is no original error

  • inventoryBackupStorageInventoryRequired

    See inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • urlStringRequired

      地址。

    • descriptionStringRequired

      Detailed description of the resource

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

PUT/zstack/v1/backup-storage/image-store/{uuid}/actions

/zstack/v1/backup-storage/image-store/{uuid}/actions

Operation ID

UpdateImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/image-store/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateimagestorebackupstorage":{"username":"<username>","password":"<password>","hostname":"<hostname>","sshPort":1,"name":"<name>","description":"<description>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}}'

Response Example

200
{ "inventory": { "name": "New Name", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:12 PM", "lastOpDate": "Jun 7, 2017 9:20:12 PM", "attachedZoneUuids": [ "7c99892d8d5542faae4d1dd7d17be252" ] } }

Change History

This API has no change history records yet.

View all change history